package info.aspirecn.iov.sjjh.shupplier10000005.action;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestParam;


/**
 *
 * @author minmin
 *
 */

@Api(value = "三传木-通道接口")
@FeignClient(value = "iov-sjjh-servicenode-supplier-10000005")
public interface Supplier10000005ActionInterface {

    @ApiOperation(value = "三传木身份证检验接口" , notes = "")
    @PostMapping(value = "/scmIdCardCheck.do")
    ChannelTypeHandleResponseObject scmIdCardCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);


    @ApiOperation(value = "三传木移动三要素1号检验接口 " , notes = "")
    @PostMapping(value = "/scmMobileCheck.do")
    ChannelTypeHandleResponseObject scmMobileCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木移动三要素2号检验接口 " , notes = "")
    @PostMapping(value = "/scmMobileTwoCheck.do")
    ChannelTypeHandleResponseObject scmMobileTwoCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木移动三要素3号检验接口 " , notes = "")
    @PostMapping(value = "/scmMobileThreeCheck.do")
    ChannelTypeHandleResponseObject scmMobileThreeCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木移动三要素4号检验接口 " , notes = "")
    @PostMapping(value = "/scmMobileFourCheck.do")
    ChannelTypeHandleResponseObject scmMobileFourCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木电信三要素检验接口 " , notes = "")
    @PostMapping(value = "/scmDianXinCheck.do")
    ChannelTypeHandleResponseObject scmDianXinCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木联通三要素检验接口 " , notes = "")
    @PostMapping(value = "/scmLianTongCheck.do")
    ChannelTypeHandleResponseObject scmLianTongCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木移动在线时长接口 " , notes = "")
    @PostMapping(value = "/scmMobileOnlineTimeCheck.do")
    ChannelTypeHandleResponseObject scmMobileOnlineTimeCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木移动在线状态接口 " , notes = "")
    @PostMapping(value = "/scmMobileOnlineStatusCheck.do")
    ChannelTypeHandleResponseObject scmMobileOnlineStatusCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木电信在线时长接口 " , notes = "")
    @PostMapping(value = "/s00-DianXinOnlineTimeCheck.do")
    ChannelTypeHandleResponseObject scmDianXinOnlineTimeCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木电信在线状态接口 " , notes = "")
    @PostMapping(value = "/s00-DianXinOnlineStatusCheck.do")
    ChannelTypeHandleResponseObject scmDianXinOnlineStatusCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);


    @ApiOperation(value = "三传木联通在线时长接口 " , notes = "")
    @PostMapping(value = "/s00-LianTongOnlineTimeCheck.do")
    ChannelTypeHandleResponseObject scmLianTongOnlineTimeCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木联通在线状态接口 " , notes = "")
    @PostMapping(value = "/s00-LianTongOnlineStatusCheck.do")
    ChannelTypeHandleResponseObject scmLianTongOnlineStatusCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木银行卡三要素接口 " , notes = "")
    @PostMapping(value = "/s00-BankThreeCheck.do")
    ChannelTypeHandleResponseObject scmBankThreeCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木银行卡四要素接口 " , notes = "")
    @PostMapping(value = "/s00-BankFourCheck.do")
    ChannelTypeHandleResponseObject scmBankFourCheck(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木三要素解密接口 " , notes = "")
    @PostMapping(value = "/scmDecodeThreeElement.do")
    ChannelTypeHandleResponseObject scmDecodeThreeElement(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木电信三要素详版接口 " , notes = "")
    @PostMapping(value = "/scmCTCCThreeElementInfo.do")
    ChannelTypeHandleResponseObject scmCTCCThreeElementInfo(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);

    @ApiOperation(value = "三传木MD5解密接口-定制版（只解密身份证）" , notes = "")
    @PostMapping(value = "/scmDecodeIdCode.do")
    ChannelTypeHandleResponseObject scmDecodeIdCode(
            @RequestHeader(name = "channelId") String channelId,
            @RequestParam(name = "outTime", required = true) int outTime,
            @RequestParam(name = "customBody", required = true) String customBody);
}
